Debian Security Advisory

DSA-1152-1 trac -- missing input sanitising

Date Reported:
18 Aug 2006
Affected Packages:
Security database references:
In Mitre's CVE dictionary: CVE-2006-3695.
More information:

Felix Wiemann discovered that trac, an enhanced Wiki and issue tracking system for software development projects, can be used to disclose arbitrary local files. To fix this problem, python-docutils needs to be updated as well.

For the stable distribution (sarge) this problem has been fixed in version 0.8.1-3sarge5 of trac and version 0.3.7-2sarge1 of python-docutils.

For the unstable distribution (sid) this problem has been fixed in version 0.9.6-1.

We recommend that you upgrade your trac and python-docutils packages.

Fixed in:

Debian GNU/Linux 3.1 (sarge)

Architecture-independent component:

MD5 checksums of the listed files are available in the original advisory.